from abc import ABC, abstractmethod

class Shutter:
    @abstractmethod
    def close(self):
        pass
    @abstractmethod
    def open(self):
        pass
    @abstractmethod
    def is_open(self) -> bool:
        pass
    @abstractmethod
    def __repr__(self):
        pass
